Package org.jboss.resteasy.utils.maven

## Class MavenUtil

- java.lang.Object
- - org.jboss.resteasy.utils.maven.MavenUtil

-     public class MavenUtil
      extends Object

  This class was originally written by Kabir Khan to download old maven artifact in wildfly-core. This class was updated for RESTEasy TS purposes. Original sources can be found in wildfly-core:/model-test/src/main/java/org/jboss/as/model/test/MavenUtil.java

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static org.apache.logging.log4j.Logger` | `logger` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MavenUtil` | `create​(boolean useEapRepository)` |
    `File` | `createMavenGavFile​(String artifactGav)` |
    `List<File>` | `createMavenGavRecursiveFiles​(String artifactGav, String... excludes)` |
    `static org.eclipse.aether.RepositorySystem` | `newRepositorySystem()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.apache.logging.log4j.Logger logger

  - ### Method Detail

    - #### create

          public static MavenUtil create​(boolean useEapRepository)

    - #### createMavenGavFile

          public File createMavenGavFile​(String artifactGav)
                                  throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### createMavenGavRecursiveFiles

          public List<File> createMavenGavRecursiveFiles​(String artifactGav,
                                                         String... excludes)
                                                  throws MalformedURLException,
                                                         org.eclipse.aether.collection.DependencyCollectionException,
                                                         org.eclipse.aether.resolution.DependencyResolutionException

      Throws:
        `MalformedURLException`
        `org.eclipse.aether.collection.DependencyCollectionException`
        `org.eclipse.aether.resolution.DependencyResolutionException`

    - #### newRepositorySystem

          public static org.eclipse.aether.RepositorySystem newRepositorySystem()